com.genesyslab.wfm8.API.service.scheduleTrade810

## Class SchTrade

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade810.SchTrade

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTrade
      extends java.lang.Object
      implements java.io.Serializable

  Trade Record
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswProposalAgentId`
    `protected int` | `gswResponseAgentId`
    `private static long` | `serialVersionUID`
    `protected double` | `wmApproveDateTime`
    `protected java.lang.String` | `wmApprovingUser`
    `protected java.lang.String` | `wmComments`
    `protected java.util.List<java.lang.Double>` | `wmDays`
    `protected int` | `wmDaysNSizeIs`
    `protected double` | `wmExpireDateTime`
    `protected int` | `wmProposalPaidMinutes`
    `protected int` | `wmResponsePaidMinutes`
    `protected int` | `wmSiteId`
    `protected int` | `wmStatus`
    `protected double` | `wmSubmitDateTime`
    `protected int` | `wmTradeId`
    `protected int` | `wmTradeProposalId`
    `protected int` | `wmTradeResponseId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTrade()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswProposalAgentId()` Gets the value of the gswProposalAgentId property.
    `int` | `getGswResponseAgentId()` Gets the value of the gswResponseAgentId property.
    `double` | `getWmApproveDateTime()` Gets the value of the wmApproveDateTime property.
    `java.lang.String` | `getWmApprovingUser()` Gets the value of the wmApprovingUser property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `java.util.List<java.lang.Double>` | `getWmDays()` Gets the value of the wmDays property.
    `int` | `getWmDaysNSizeIs()` Gets the value of the wmDaysNSizeIs property.
    `double` | `getWmExpireDateTime()` Gets the value of the wmExpireDateTime property.
    `int` | `getWmProposalPaidMinutes()` Gets the value of the wmProposalPaidMinutes property.
    `int` | `getWmResponsePaidMinutes()` Gets the value of the wmResponsePaidMinutes property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `double` | `getWmSubmitDateTime()` Gets the value of the wmSubmitDateTime property.
    `int` | `getWmTradeId()` Gets the value of the wmTradeId property.
    `int` | `getWmTradeProposalId()` Gets the value of the wmTradeProposalId property.
    `int` | `getWmTradeResponseId()` Gets the value of the wmTradeResponseId property.
    `int` | `hashCode()`
    `void` | `setGswProposalAgentId(int value)` Sets the value of the gswProposalAgentId property.
    `void` | `setGswResponseAgentId(int value)` Sets the value of the gswResponseAgentId property.
    `void` | `setWmApproveDateTime(double value)` Sets the value of the wmApproveDateTime property.
    `void` | `setWmApprovingUser(java.lang.String value)` Sets the value of the wmApprovingUser property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmDays(java.util.List<java.lang.Double> wmDays)` Sets the value of the wmDays property.
    `void` | `setWmDaysNSizeIs(int value)` Sets the value of the wmDaysNSizeIs property.
    `void` | `setWmExpireDateTime(double value)` Sets the value of the wmExpireDateTime property.
    `void` | `setWmProposalPaidMinutes(int value)` Sets the value of the wmProposalPaidMinutes property.
    `void` | `setWmResponsePaidMinutes(int value)` Sets the value of the wmResponsePaidMinutes property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmSubmitDateTime(double value)` Sets the value of the wmSubmitDateTime property.
    `void` | `setWmTradeId(int value)` Sets the value of the wmTradeId property.
    `void` | `setWmTradeProposalId(int value)` Sets the value of the wmTradeProposalId property.
    `void` | `setWmTradeResponseId(int value)` Sets the value of the wmTradeResponseId property.
    `java.lang.String` | `toString()`
    `SchTrade` | `withGswProposalAgentId(int value)`
    `SchTrade` | `withGswResponseAgentId(int value)`
    `SchTrade` | `withWmApproveDateTime(double value)`
    `SchTrade` | `withWmApprovingUser(java.lang.String value)`
    `SchTrade` | `withWmComments(java.lang.String value)`
    `SchTrade` | `withWmDays(java.util.Collection<java.lang.Double> values)`
    `SchTrade` | `withWmDays(java.lang.Double... values)`
    `SchTrade` | `withWmDaysNSizeIs(int value)`
    `SchTrade` | `withWmExpireDateTime(double value)`
    `SchTrade` | `withWmProposalPaidMinutes(int value)`
    `SchTrade` | `withWmResponsePaidMinutes(int value)`
    `SchTrade` | `withWmSiteId(int value)`
    `SchTrade` | `withWmStatus(int value)`
    `SchTrade` | `withWmSubmitDateTime(double value)`
    `SchTrade` | `withWmTradeId(int value)`
    `SchTrade` | `withWmTradeProposalId(int value)`
    `SchTrade` | `withWmTradeResponseId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTradeId

          protected int wmTradeId

    - #### wmTradeResponseId

          protected int wmTradeResponseId

    - #### wmTradeProposalId

          protected int wmTradeProposalId

    - #### wmSiteId

          protected int wmSiteId

    - #### gswProposalAgentId

          protected int gswProposalAgentId

    - #### gswResponseAgentId

          protected int gswResponseAgentId

    - #### wmComments

          protected java.lang.String wmComments

    - #### wmStatus

          protected int wmStatus

    - #### wmProposalPaidMinutes

          protected int wmProposalPaidMinutes

    - #### wmResponsePaidMinutes

          protected int wmResponsePaidMinutes

    - #### wmSubmitDateTime

          protected double wmSubmitDateTime

    - #### wmExpireDateTime

          protected double wmExpireDateTime

    - #### wmApproveDateTime

          protected double wmApproveDateTime

    - #### wmApprovingUser

          protected java.lang.String wmApprovingUser

    - #### wmDaysNSizeIs

          protected int wmDaysNSizeIs

    - #### wmDays

          protected java.util.List<java.lang.Double> wmDays

  - ### Constructor Detail

    - #### SchTrade

          public SchTrade()

  - ### Method Detail

    - #### getWmTradeId

          public int getWmTradeId()

      Gets the value of the wmTradeId property.

    - #### setWmTradeId

          public void setWmTradeId(int value)

      Sets the value of the wmTradeId property.

    - #### getWmTradeResponseId

          public int getWmTradeResponseId()

      Gets the value of the wmTradeResponseId property.

    - #### setWmTradeResponseId

          public void setWmTradeResponseId(int value)

      Sets the value of the wmTradeResponseId property.

    - #### getWmTradeProposalId

          public int getWmTradeProposalId()

      Gets the value of the wmTradeProposalId property.

    - #### setWmTradeProposalId

          public void setWmTradeProposalId(int value)

      Sets the value of the wmTradeProposalId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswProposalAgentId

          public int getGswProposalAgentId()

      Gets the value of the gswProposalAgentId property.

    - #### setGswProposalAgentId

          public void setGswProposalAgentId(int value)

      Sets the value of the gswProposalAgentId property.

    - #### getGswResponseAgentId

          public int getGswResponseAgentId()

      Gets the value of the gswResponseAgentId property.

    - #### setGswResponseAgentId

          public void setGswResponseAgentId(int value)

      Sets the value of the gswResponseAgentId property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmProposalPaidMinutes

          public int getWmProposalPaidMinutes()

      Gets the value of the wmProposalPaidMinutes property.

    - #### setWmProposalPaidMinutes

          public void setWmProposalPaidMinutes(int value)

      Sets the value of the wmProposalPaidMinutes property.

    - #### getWmResponsePaidMinutes

          public int getWmResponsePaidMinutes()

      Gets the value of the wmResponsePaidMinutes property.

    - #### setWmResponsePaidMinutes

          public void setWmResponsePaidMinutes(int value)

      Sets the value of the wmResponsePaidMinutes property.

    - #### getWmSubmitDateTime

          public double getWmSubmitDateTime()

      Gets the value of the wmSubmitDateTime property.

    - #### setWmSubmitDateTime

          public void setWmSubmitDateTime(double value)

      Sets the value of the wmSubmitDateTime property.

    - #### getWmExpireDateTime

          public double getWmExpireDateTime()

      Gets the value of the wmExpireDateTime property.

    - #### setWmExpireDateTime

          public void setWmExpireDateTime(double value)

      Sets the value of the wmExpireDateTime property.

    - #### getWmApproveDateTime

          public double getWmApproveDateTime()

      Gets the value of the wmApproveDateTime property.

    - #### setWmApproveDateTime

          public void setWmApproveDateTime(double value)

      Sets the value of the wmApproveDateTime property.

    - #### getWmApprovingUser

          public java.lang.String getWmApprovingUser()

      Gets the value of the wmApprovingUser property.
      Returns:
        possible object is `String`

    - #### setWmApprovingUser

          public void setWmApprovingUser(java.lang.String value)

      Sets the value of the wmApprovingUser property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmDaysNSizeIs

          public int getWmDaysNSizeIs()

      Gets the value of the wmDaysNSizeIs property.

    - #### setWmDaysNSizeIs

          public void setWmDaysNSizeIs(int value)

      Sets the value of the wmDaysNSizeIs property.

    - #### getWmDays

          public java.util.List<java.lang.Double> getWmDays()

      Gets the value of the wmDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmDays property.

      For example, to add a new item, do as follows:

              getWmDays().add(newItem);

      Objects of the following type(s) are allowed in the list `Double`

    - #### withWmTradeId

          public SchTrade withWmTradeId(int value)

    - #### withWmTradeResponseId

          public SchTrade withWmTradeResponseId(int value)

    - #### withWmTradeProposalId

          public SchTrade withWmTradeProposalId(int value)

    - #### withWmSiteId

          public SchTrade withWmSiteId(int value)

    - #### withGswProposalAgentId

          public SchTrade withGswProposalAgentId(int value)

    - #### withGswResponseAgentId

          public SchTrade withGswResponseAgentId(int value)

    - #### withWmComments

          public SchTrade withWmComments(java.lang.String value)

    - #### withWmStatus

          public SchTrade withWmStatus(int value)

    - #### withWmProposalPaidMinutes

          public SchTrade withWmProposalPaidMinutes(int value)

    - #### withWmResponsePaidMinutes

          public SchTrade withWmResponsePaidMinutes(int value)

    - #### withWmSubmitDateTime

          public SchTrade withWmSubmitDateTime(double value)

    - #### withWmExpireDateTime

          public SchTrade withWmExpireDateTime(double value)

    - #### withWmApproveDateTime

          public SchTrade withWmApproveDateTime(double value)

    - #### withWmApprovingUser

          public SchTrade withWmApprovingUser(java.lang.String value)

    - #### withWmDaysNSizeIs

          public SchTrade withWmDaysNSizeIs(int value)

    - #### withWmDays

          public SchTrade withWmDays(java.lang.Double... values)

    - #### withWmDays

          public SchTrade withWmDays(java.util.Collection<java.lang.Double> values)

    - #### setWmDays

          public void setWmDays(java.util.List<java.lang.Double> wmDays)

      Sets the value of the wmDays property.
      Parameters:
        `wmDays` - allowed object is `Double`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.